DELETE
https://jmpy.me/api/v1
/
short-urls
/
{alias}
Delete Alias
curl --request DELETE \
  --url https://jmpy.me/api/v1/short-urls/{alias} \
  --header 'Authorization: Bearer <token>'
Permanently delete a short URL by referencing its custom alias (or short code). This action cannot be undone, and immediately frees up the alias for reuse by others (unless restricted).

Path Parameters

alias
string
required
The custom alias (or short code) of the short URL to delete.

Request Examples

curl -X DELETE "https://jmpy.me/api/v1/short-urls/summer2024" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response Examples

{
  "success": true,
  "message": "Short URL deleted successfully"
}

Use Cases

Remove old marketing links that are no longer active to keep your dashboard clean.
Immediately revoke access to a destination URL if it has been compromised or controls changed.